<?php

namespace Modules\Order\Enums;


Enum OrderStatusEnum: int
{
    case NEW = 0;
    case PREPARING = 1;
    case SURE = 2;
    case SHIPPING = 3;
    case RECEIVED = 4;
    case CANCELED = 5;

    public static function values()
    {
        return array_column(SELF::cases(),'value');
    }
    public static function values_without_canceled()
    {
        return [
            Self::NEW->value,
            Self::PREPARING->value,
            Self::SURE->value,
            Self::SHIPPING->value,
            Self::RECEIVED->value,
        ];
    }
    public static function warehouse_values()
    {
        return [
            Self::NEW->value,
            Self::PREPARING->value,
            Self::SURE->value,
            Self::SHIPPING->value,
            Self::RECEIVED->value,
        ];
    }
    public static  function store_values()
    {
        return [
            Self::PREPARING->value,
            Self::SURE->value,
            Self::SHIPPING->value,
        ];
    }
}
